extension FormatNumberToKwh on num {
  String get formatNumberToKwh {
    final regExp = RegExp(r'(\d)(?=(\d{3})+$)');
    return '${toStringAsFixed(0).replaceAllMapped(regExp, (match) => '${match[1]},')} kWh';
  }
}
